Subject: bug#62300: 29.0.60; No hyperlinks for some symbols in *Help* buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Mar 2023 15:11:42 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 20 Mar 2023 17:55:40 -0400
> 
> >>   emacs -Q
> >>   C-h f global-text-scale-adjust RET
> >> 
> >> Observe that in the *Help* buffer the variable
> >> global-text-scale-adjust-resizes-frames does not have the link
> >> appearance.  This is because:
> >> 
> >>   (boundp 'global-text-scale-adjust-resizes-frames) => nil
> 
> `help-definition-prefixes` and friends
> (`help-enable-completion-autoload`, ...) are the result of a tradeoff:
> we offer to autoload files "on demand" but the "demand" is often
> vague/implicit, so we have to judge when the demand is clear enough to
> justify loading a file and when it's not.
> 
> If we're too trigger happy, we can end up auto-loading all the .el files
> in sight, making Emacs unnecessarily bigger&slower (and increasing the
> risk that we bump into a file that breaks the convention, such as
> `c-ts-mode`).
> 
> In this case, `global-text-scale-adjust` has an explicit autoload in
> `loaddefs.el` so we already have the docstring needed to display
> `C-h f global-text-scale-adjust RET` without having to load
> `face-remap.el`, so `help-enable-completion-autoload` doesn't load
> `face-remap.el`.

So you are saying that the only way of having
global-text-scale-adjust-resizes-frames decorated as a link is to
autoload it?  Even though autoloading defcustoms is frowned upon?  Or
is there a better way?